package com.bonus.sgzb.material.domain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * 年度借调plan_borrow_info对象 plan_borrow_info
 * 
 * @author bonus
 * @date 2023-12-10
 */
public class PlanBorrowInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 借调计划ID */
    @ApiModelProperty(value = "借调计划ID")
    private Long borrowId;

    /** 需求单位id */
    @ApiModelProperty(value = "需求单位id")
    @Excel(name = "需求单位id")
    private Long needUnitId;

    /** 借出单位id */
    @ApiModelProperty(value = "借出单位id")
    @Excel(name = "借出单位id")
    private Long borrowUnitId;

    /** 编号 */
    @ApiModelProperty(value = "编号")
    @Excel(name = "编号")
    private String code;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    @Excel(name = "数据所属组织")
    private Long companyId;

    public void setBorrowId(Long borrowId) 
    {
        this.borrowId = borrowId;
    }

    public Long getBorrowId() 
    {
        return borrowId;
    }
    public void setNeedUnitId(Long needUnitId) 
    {
        this.needUnitId = needUnitId;
    }

    public Long getNeedUnitId() 
    {
        return needUnitId;
    }
    public void setBorrowUnitId(Long borrowUnitId) 
    {
        this.borrowUnitId = borrowUnitId;
    }

    public Long getBorrowUnitId() 
    {
        return borrowUnitId;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

}
